package com.lindosoft.android.guide.controller;

import android.app.ListActivity;

/** Common base of list activities. */
public abstract class AbstractListActivity extends ListActivity {
  /** Scroll to the selected position. */
  protected void scroll(final int position) {
    getListView().invalidateViews();
    getListView().post(new Runnable() {            
      @Override
      public void run() {
        getListView().setSelection(position);
      }
    });
  }
}