package com.lindosoft.android.guide.model;

import android.location.Location;
import java.io.Serializable;

/** Gps point (routepoint, trackpoint, waypoint). */
public class Point implements Comparable, Serializable {
  private static final String POSITION = "0000";
  public Location location = null;
  public String name = null;
  public int position = -1;

  @Override
  public int compareTo(Object other) {
    return toString().compareTo("" + other);
  }

  @Override
  public int hashCode() {
    return toString().hashCode();
  }

  @Override
  public boolean equals(Object other) {
    return toString().equals("" + other);
  }

  @Override
  public String toString() {
    return (-1 == position ? "" : (POSITION + position).substring(("" + position).length()) + " ") 
        + (null == name ? "" : name);
  }
}